Module javafx.base
Package javafx.collections

## Interface ListChangeListener<E>

- Type Parameters:
    `E` - the list element type
  All Known Implementing Classes:
    `WeakListChangeListener`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface ListChangeListener<E>

  Interface that receives notifications of changes to an ObservableList.
  Since:
    JavaFX 2.0
  See Also:
    `ListChangeListener.Change`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ListChangeListener.Change<E>` | Represents a report of changes done to an `ObservableList`.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onChanged​(ListChangeListener.Change<? extends E> c)` | Called after a change has been made to an ObservableList.

- - ### Method Detail

    - #### onChanged

          void onChanged​(ListChangeListener.Change<? extends E> c)

      Called after a change has been made to an ObservableList.
      Parameters:
        `c` - an object representing the change that was done
      See Also:
        `ListChangeListener.Change`